<app-header (chartClick)='chartClick($event)' ></app-header>

<nav class="sidebar info-map" [ngClass]="{sidebarPushRight: isActive2, collapsed: collapsed2}" *ngIf="!loading && !sideEnjeux && csvPhrase.phrases && !isActive3 " id="web-map">
  <div class="emetteur row info-csv">
    <div class="col-sm-1" style="padding-left: 8px; transform: translateY(-3px);">
      <svg (click)="toggleCollapsed2()"  width="20px" height="16px" viewBox="0 0 20 16" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
        <g id="Maquettes" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
            <g id="10.02-Carte-Selected-Item" transform="translate(-30.000000, -24.000000)" fill="#131416">
                <g id="01-Icon-/-24-Arrow_Backward" transform="translate(24.000000, 16.000000)">
                    <path fill="#004FA3" d="M7.83333333,17.1420255 L21.67,17.1420255 L17.435,22.1244282 C17.0226274,22.6103944 17.0905309,23.3317898 17.5866667,23.7357098 C18.0828025,24.1396298 18.8192941,24.0731182 19.2316667,23.5871519 L25.065,16.7306344 C25.1042459,16.6760973 25.1393407,16.6188049 25.17,16.5592215 C25.17,16.5020839 25.2283333,16.4678013 25.2516667,16.4106636 C25.3045476,16.2796371 25.3322354,16.1401616 25.3333333,15.9992726 C25.3322354,15.8583835 25.3045476,15.7189081 25.2516667,15.5878815 C25.2516667,15.5307439 25.1933333,15.4964613 25.17,15.4393236 C25.1393407,15.3797402 25.1042459,15.3224478 25.065,15.2679107 L19.2316667,8.41139323 C19.0095841,8.15022837 18.6803376,7.9994502 18.3333333,8.00000218 C18.0607391,7.9994805 17.7965641,8.09247243 17.5866667,8.26283535 C17.348075,8.45658701 17.1979942,8.73536458 17.1695403,9.03765441 C17.1410863,9.33994424 17.2365979,9.64090095 17.435,9.87411696 L21.67,14.8565197 L7.83333333,14.8565197 C7.18900113,14.8565197 6.66666667,15.3681476 6.66666667,15.9992726 C6.66666667,16.6303976 7.18900113,17.1420255 7.83333333,17.1420255 Z" id="Path" transform="translate(16.000000, 16.000000) rotate(-180.000000) translate(-16.000000, -16.000000) "></path>
                </g>
            </g>
        </g>
      </svg>
    </div>
    <div class="col-sm-9">
      <div class="info-flux">
        <b>{{ csvPhrase.flux }} . </b> {{ csvPhrase.date }}
      </div>
      <div class="info-title">
        {{ csvPhrase['titre_'+translate.currentLang]  }}
      </div>
      <div class="info-flux">
        {{ csvPhrase.auteur }}
      </div>
    </div>
    <div class="col-sm-1">
      <a *ngIf="csvPhrase.pdf_url && csvPhrase.pdf_url != undefined && csvPhrase.pdf_url != ''" href="{{ csvPhrase.pdf_url }}" target="_blank">
        <svg width="16px" height="17px" viewBox="0 0 16 17" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="position: relative;bottom: 2px;">
            <g id="Maquettes" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                <g id="10.02-Carte-Selected-Item" transform="translate(-409.000000, -35.000000)" fill="#131416">
                    <g id="01-Icon-/-24-Download" transform="translate(405.000000, 32.000000)">
                        <path fill="#004FA3" d="M11.0019222,12.0625129 C11.000647,12.0418389 11,12.020995 11,12 L11,4 C11,3.44771525 11.4477153,3 12,3 C12.5522847,3 13,3.44771525 13,4 L13,12 C13,12.002361 12.9999918,12.0047201 12.9999755,12.0070773 L15.4,10.2 C15.8418278,9.86862915 16.4686292,9.9581722 16.8,10.4 C17.1313708,10.8418278 17.0418278,11.4686292 16.6,11.8 L12.6,14.8 C12.4269038,14.9298221 12.2163702,15 12,15 C11.7926819,15.0015747 11.5899997,14.9386733 11.42,14.82 L7.42,12 C6.97118524,11.6816174 6.86393305,11.0604485 7.18,10.61 C7.33307413,10.3915524 7.56707839,10.2433143 7.82998479,10.1982446 C8.09289119,10.1531749 8.3629079,10.2150095 8.58,10.37 L11.0019222,12.0625129 Z M18,18 L18,17 C18,16.4477153 18.4477153,16 19,16 C19.5522847,16 20,16.4477153 20,17 L20,19 C20,19.5522847 19.5522847,20 19,20 L5,20 C4.44771525,20 4,19.5522847 4,19 L4,17 C4,16.4477153 4.44771525,16 5,16 C5.55228475,16 6,16.4477153 6,17 L6,18 L18,18 Z" id="Combined-Shape"></path>
                    </g>
                </g>
            </g>
        </svg>
      </a>
    </div>
    <div class="col-sm-12" style="text-align: right;">
      <span class="csv-num">{{ csvPhrase.nom }}</span>
    </div>
    <div class="col-sm-11 offset-sm-1">
      <img *ngIf="csvPhrase.pdg_url &&  csvPhrase.pdg_url.includes('http')"  
        src="{{ csvPhrase.pdg_url }}" alt="{{ csvPhrase.nom_pdg }}" 
        class="img-fluid" style="width: 20%;    border: 1px solid #EAEAEA; cursor:pointer" (click)="zoomPdg()">
    </div>
  </div>
  
  <div class="info-detail" [ngStyle]="infoDetailStyle()">
    <div class="row" style="margin-left: 2px;">         
      <div class="spinner" *ngIf="phrasesLoading">
          <div class="bounce1"></div>
          <div class="bounce2"></div>
          <div class="bounce3"></div>
      </div>
      <div *ngIf="!phrasesLoading">
          <div class="col-sm-12 phrase" *ngIf="csvPhrase.phrases.length < 1" [ngStyle]="phraseStyle('Objectif non traité')" style="margin-top: 20px;" >
            {{ csvPhrase.phrases.length > 0 ? "" : ((hideEnjeu) ? lang("pasobjet2") : lang("pasobjet3")) +' '+((hideEnjeu) ? selectedMotsCle : lang(categorySelected) | uppercase)  }}
          </div>

          <div  class="col-sm-12 phrase" [ngStyle]="phraseStyle(phrase.enjeu_2_color)" *ngFor="let phrase of csvPhrase.phrases">
           “{{ phrase["phrase"] }}“
          </div>
      </div>
   
    </div>
  </div>  
</nav>

<nav class="sidebar info-map" [ngClass]="{sidebarPushRight: isActive, collapsed: collapsed}" *ngIf="!loading && csvClick &&  csvPhrase.phrases " id="mobile-map" style="margin-left: 111px;max-width: 100%;">
  <div class="emetteur row" (swipeleft)="deplace_left(csvPhrase)" (swiperight)="deplace_right(csvPhrase)">
    <div class="col-sm-1">
        <i class="fa fa-arrow-left" style="color: #004FA3; cursor: pointer;" (click)="toggleCollapsed2()" ></i>
    </div>
    <div class="col-sm-9">
        <div class="info-flux">
          <b>{{ csvPhrase.flux }} . </b> {{ csvPhrase.date }}
        </div>
        <div class="info-title">
          {{ csvPhrase['titre_'+translate.currentLang] }}
        </div>
    </div>
    <div class="col-sm-2">
        <a href="{{ csvPhrase.pdf_url != '' ? csvPhrase.pdf_url : '#' }}" target="_blank">
          <i class="fa fa-download" style="color: #004FA3; cursor: pointer;"></i>
        </a>
    </div>
  </div>
  <div class="info-detail" >
     <div class="row phrases">
       <div class="col-sm-12 phrase">
         {{ csvPhrase.phrases.length > 0 ? "" : lang("Objectif non traité") }}
       </div>
       <div class="col-sm-12 phrase" [ngStyle]="phraseStyle(phrase.enjeu_2_color)" *ngFor="let phrase of csvPhrase.phrases">
         “{{ phrase["phrase"] }}“
       </div>
     </div>
  </div>
</nav>

<div class="" [ngStyle]="sideEnjeux ? {} : {'overflow': 'scroll','height' : '90vh'}">

  <div class=" ">
    <span id="fermer-toggle" (click)="toggleSidebar2()">&times;</span>
    <p class="sidebar-title">{{ lang("Emetteur") | uppercase }}</p>
    <div class="filter">
      <div class="form-check">
        <label class="form-check-label checkbox checkbox-circle {{ allFluxFilter ? 'checkbox-blue' : ''}}">
          <input type="checkbox" class="form-check-input" [(ngModel)]="allFluxFilter" (ngModelChange)="onFluxAllFilterChange($event)"><label class="margin-zero">{{ lang("Tous émetteurs") | uppercase }}</label>
        </label>
      </div>
      <br />
      <ng-container *ngFor="let f of user.flux ; index as i">
        <div *ngIf="!f.isMonde" class="form-check text-muted  col-sm-4" >
          <label class="form-check-label checkbox checkbox-circle {{ f.selected ? 'checkbox-blue' : ''}}">
  
            <input type="checkbox" class="form-check-input"  (ngModelChange)="onFluxFilterChange($event, f, i)" [(ngModel)]="f.selected">
            <label class="margin-zero"> 
              <i class="fa fa-circle" [ngStyle]="fluxColor(user.flux[i])"></i>&nbsp;{{lang(user.flux[i].flux) | uppercase }}
            </label>
  
          </label>
        </div>
      </ng-container>
      
    </div>
  </div>

  <div id="enjeuClient-web" class="disable-select"  *ngIf="!loading " style="height: 218px;" >
    <p style="position: relative;top: 10px;"> 
      <span *ngFor="let cat of categories" class="category {{ cat == categorySelected && !hideEnjeu ? 'category-selected' : ''}} disable-select" (click)="selectCategory(cat)" style="width: 110px;max-width: 110px;overflow: hidden;display: inline-block;white-space: nowrap;text-align: center;">
        {{ lang(cat) | uppercase }}
      </span>
      <span class="category {{ hideEnjeu ? 'category-selected' : ''}} disable-select" (click)="selectMotCle()" style="width: 95px;max-width: 95px;overflow: hidden;display: inline-block;white-space: nowrap;text-align: center;font-family: Arial, Helvetica, sans-serif;">
        ?
      </span>
    </p>
    <div class="objectif row " style="margin-bottom: 0px; margin-left: 0;">
      <ng-container *ngFor="let enj of enjeux; index as i">
        <div class="col-md-3 col-lg-3 enjeu-col  {{ enj.enjeu_big != categorySelected ? 'enjeu-hidden' : '' }} disable-select" *ngIf='!hideEnjeu'>
          <div class="alert alert-primary row alert-objectif enjeu-{{ styleEnjeu(enj) }} disable-select" role="alert"  *ngIf="!hideEnjeu">

            <div class="col-sm-2 alert-image pointer disable-select amplify1-image-enjeu" (click)="selectEnjeu(enj, $event)">

              <img id="{{ enj.id }}" src="{{ enj.image_url }}" alt="{{ enj.picto_png }}" class="img-fluid img-enjeu-{{ styleEnjeu(enj) }} disable-select">
              
            </div>


            <div class="col-sm-8 alert-text disable-select pointer" style="padding-left:0; padding-right: 0;display: block;overflow: hidden;">
              <div class="alert-title pointer disable-select" style="padding-left:15px;" (click)="selectEnjeu(enj, $event)">{{ lang(enj.titre) | titlecase | slice:0:27 }}</div>
              <div class="alert-def pointer disable-select" style="display: block; padding-left:15px;" (click)="selectEnjeu(enj, $event)">{{ lang(enj.pre_def) | titlecase | slice:0:20 }}</div>
              <div class="en_savoir_plus_parent">
                <div class="fill_blank_0 pointer" style="padding-left:14px; height: 25px;" (click)="selectEnjeu(enj, $event)"></div>
                <div class="alert-link pointer en_savoir_plus disable-select" style="padding-top:6px;" (click)="infoEnjeu(content, enj)"> {{lang("En savoir plus") }} <i class="fa fa-arrow-right"></i></div>
                <div class="fill_blank pointer" (click)="selectEnjeu(enj, $event)"> </div>
              </div>
            </div>

          </div>
        </div>
      </ng-container>

      <div class="col-md-3 col-lg-3 enjeu-col content-motCle1"  (click)="checkedMotCle(1,motCle,$event)"  (mouseenter)="checkFilterMotCle()" *ngIf="hideEnjeu">
        <div class="alert alert-primary row alert-objectif enjeu-{{ checkMotcle == true ? 'primary' : 'select' }} containermotcle mot-cle-{{ statMotCle1 == true ? 'activated' : 'disabled' }}"  role="alert">
          <div class="col-sm-2 icon-color" style="padding-top: 18px ;color: #757a81">
            <i class="fa fa-question fa-2x icon-motCle-{{ statMotCle1 == true ? 'first' : 'primary' }}" color></i>
          </div>
          <div class="col-sm-8 alert-text divmotsearch disable-select" style="padding-right: 0;display: block;overflow: hidden;" >
            <div>
              <div class="alert-title disable-select"  >{{lang("Mots clés recherchés") | titlecase }}</div>
              <div class="alert-def disable-select" style="display: block;" >
                <input type="text" class="inputsearch" [(ngModel)]="motEntree" (keyup.enter)="searchWord(1,motEntree)" placeholder="{{lang('Entrez ici un mot clé') | titlecase}}" style="" [disabled]="!statMotCle1">
              </div>
            </div>

            <div class="alert-link disable-select">
              <div *ngIf="motCle" class="cta-tag-icon motcle">
                <span class="motcle2 disable-select">{{ motCle }}</span>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-3 col-lg-3 enjeu-col content-motCle2" (click)="checkedMotCle(2,motCle2,$event)" (mouseenter)="checkFilterMotCle()"  *ngIf="hideEnjeu">
        <div class="alert alert-primary row alert-objectif enjeu-{{ checkMotcle == true ? 'primary' : 'select' }} containermotcle mot-cle-{{ statMotCle2 == true ? 'activated' : 'disabled' }}" role="alert">
          <div class="col-sm-2 icon-color" style="padding-top: 18px ;color: #757a81">
            <i class="fa fa-question fa-2x icon-motCle-{{ statMotCle2 == true ? 'first' : 'primary' }}"  color></i>
          </div>
          <div class="col-sm-8 alert-text divmotsearch disable-select" style="padding-right: 0;display: block;overflow: hidden;" >
            <div>
              <div class="alert-title disable-select"  >{{lang("Mots clés recherchés") | titlecase }}</div>
              <div class="alert-def disable-select" style="display: block;" >
                <input type="text" class="inputsearch" [(ngModel)]="motEntree2" (keyup.enter)="searchWord(2,motEntree2)"  placeholder="{{lang('Entrez ici un mot clé') | titlecase}}" style="" [disabled]="!statMotCle2">
              </div>
            </div>

            <div class="alert-link disable-select">
              <div *ngIf="motCle2" class="cta-tag-icon motcle">
                <span class="motcle2 disable-select">{{ motCle2 }}</span>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-3 col-lg-3 enjeu-col content-motCle3" (click)="checkedMotCle(3,motCle3,$event)" (mouseenter)="checkFilterMotCle()"  *ngIf="hideEnjeu">
        <div class="alert alert-primary row alert-objectif enjeu-{{ checkMotcle == true ? 'primary' : 'select' }} containermotcle mot-cle-{{ statMotCle3 == true ? 'activated' : 'disabled' }}"  role="alert">
          <div class="col-sm-2 icon-color" style="padding-top: 18px ;color: #757a81">
            <i class="fa fa-question fa-2x icon-motCle-{{ statMotCle3 == true ? 'first' : 'primary' }}" color></i>
          </div>
          <div class="col-sm-8 alert-text divmotsearch disable-select" style="padding-right: 0;display: block;overflow: hidden;" >
            <div>
              <div class="alert-title disable-select"  >{{lang("Mots clés recherchés") | titlecase }}</div>
              <div class="alert-def disable-select" style="display: block;" >
                <input type="text" class="inputsearch" [(ngModel)]="motEntree3" (keyup.enter)="searchWord(3,motEntree3)"  placeholder="{{lang('Entrez ici un mot clé') | titlecase}}" style="" [disabled]="!statMotCle3">
              </div>
            </div>

            <div class="alert-link disable-select">
              <div *ngIf="motCle3" class="cta-tag-icon motcle">
                <span class="motcle2 disable-select">{{ motCle3 }}</span>
              </div>
            </div>
          </div>
        </div>
      </div>

    </div>

  </div>
  
  <div class="container mobile-button">
    <button id="filtrer" class="btn" (click)="toggleSidebar2()"><img style="padding-right: 6px;" src="assets/images/filtre.png" style="padding-bottom: 5px;">{{"Filtrer" | translate}}</button>
    <button id="obj" class="btn" (click)="toggleCollapsed3()"><img style="padding-right: 6px;" src="assets/images/objectif.png" style="padding-bottom: 5px;">{{lang("Objectifs") }}</button>
  </div>

  <div class="map-chart bordered" *ngIf="!loadingMap && (!sideEnjeux || getClientEnjeuxNumber() ==  getAllEnjeuxNumber()) " [ngStyle]="!mapToogle ? {'height': '55%', 'overflow-y' : 'hidden', 'position' : 'relative','overflow':'visible'} : {'height': '45%', 'overflow-y' : 'scroll', 'position' : 'relative'}" >
    <div class="float-right img-chart-button disable-select" style=" margin-top: 12px;position: relative; z-index: 99;" [hidden]="!hide_map" (click)="selectTab('chart2')">

         <img style="padding-right: 6px;width: 25px;" src="assets/images/graph.png" />
        <span class="disable-select">{{ lang("Graphique") | titlecase }}</span>
        
    </div>
    <div class="float-right img-chart-button" style="margin-top: 12px;position: relative; z-index: 0;" [hidden]="!hide_graph" (click)="selectTab('chart')">        
        <i class="fa fa-map" style="padding-right: 6px;"></i>
        <span class="disable-select" style="">{{ lang("Plan") | titlecase }}</span>
    </div>
  
    <div *ngIf="mapToogle" id="position-graph2" style="height: 100%;overflow: visible;padding-top: 58px;" >
      
        <div (chartMouseOver)="onChart2Event($event)"  echarts [options]="chartOptions2" style="position: relative; z-index: 9;width: 100%;">
  
        </div>
      
    </div>
    

    <div *ngIf="!mapToogle && !loadingMap " id="position-graph">
      <div (chartMouseOver)="onChartEvent($event, 'chartClick')"  echarts [options]="chartOptions" class="demo-chart" style="position: relative; z-index: 9;">

      </div>
      <div class="performance-discours disable-select" style="position: relative;top: -350px;">
        <div class="performance-discours-content disable-select" style="width: 350px;position: relative;left: 65%;">

              <span class="legende-text">{{ lang("graphe_titre") }}</span>

              <span class="legende-text"> {{ lang("Performance du discours") | uppercase }} </span><br>
              
              <span class="legende-one" *ngFor="let enj of enjeux2">
                <i class="fa fa-circle" [ngStyle]="styleLegend(enj?.key)"  ></i> 
                <span class="legende-text"> {{ lang(enj?.titre) }}</span><br/>

              </span> 

              <span class="legende-one"><i class="fa fa-circle" [ngStyle]="styleLegend('pasobjet')" ></i> <span class="legende-text" > {{ (hideEnjeu) ? lang("pasobjet2") : lang("pasobjet3") }} {{ (hideEnjeu) ? selectedMotsCle : lang(categorySelected) | uppercase }}</span> </span><br>


        </div>

      </div>
      
    </div>

    <div class="text-right legende-bottom " *ngIf="!mapToogle && !loadingMap ">
      <span class="legende-text text-muted "> {{ lang("quantitatif") }}</span>  <span class="legende-text text-muted "> {{ lang("qualitatif") }}</span>      
    </div>

  </div>

  <ng-template #p> {{ lang('pop_btn_filtre_cat') }} </ng-template>
  <div class="float-left palette_img" *ngIf="!loadingMap && !hide_map " [ngStyle]="setOpacityIcon()">
    <i class="fa fa-filter" ></i>
  </div>
  <div class="float-left" style="position: relative; z-index: 99;margin-top: 4px;" 
    placement="bottom"
    triggers="mouseenter:mouseleave"
    [ngbPopover]="p"
    *ngIf="!loadingMap && !hide_map " (mouseleave)="toggleFilterHide()" (mouseover)="toggleFilterShow()" >
      <label class="switch float-left">
        <input type="checkbox" checked>
        <span class="slider round" (click)="filterCategorie()"></span>
      </label>
  </div>

  <ng-template #e> {{ lang('pop_btn_etiquette_graph') }} </ng-template>
  <div class="float-left palette_img" *ngIf="!loadingMap && hide_map" [ngStyle]="setOpacityEyeIcon()" >
    <i class="fa fa-eye" ></i>
  </div>
  <div class="float-left" style="position: relative; z-index: 99;margin-top: 4px;" 
    placement="bottom"
    triggers="mouseenter:mouseleave"
    [ngbPopover]="e"
    *ngIf="!loadingMap && hide_map" (mouseleave)="toggleEyeHide()" (mouseover)="toggleEyeShow()" >
      <label class="switch float-left">
        <input type="checkbox" checked>
        <span class="slider round" (click)="etiquetteGraphe()" ></span>
      </label>
  </div>
  <br />
  <div class="emetteur timelapse" *ngIf="!loadingMap">

    <p *ngIf="dateFilterToggle"><span class="dateFilterToggled sidebar-title" (click)="checkTimelapse()">{{"Timelapse" | translate }}</span><span (click)="checkYear()" class="date-label" style="color : #a7adb3;"> {{"Year" | translate }}</span> </p>

    <p *ngIf="!dateFilterToggle"><span (click)="checkTimelapse()" class="date-label" style="color: #a7adb3;">{{"Timelapse" | translate }}</span><span class="dateFilterToggled" (click)="checkYear()"> {{ "Year" | translate }}</span></p>

    <div class="filter" *ngIf="showSlider">
       
        <div class="input-group mb-3" *ngIf="showFilterDate">
            <div class="input-group-prepend">
              <span class="input-group-text">{{"du" | translate }}</span>
            </div>
            <input type="text" class="form-control" placeholder="MM" [(ngModel)]="month_from" (ngModelChange)="onDateFilterChange($event, 'month_from')">
            <input type="text" class="form-control" placeholder="AAAA" [(ngModel)]="year_from" (ngModelChange)="onDateFilterChange($event, 'year_from')">
        </div>

        <div class="input-group mb-3" *ngIf="showFilterDate">
            <div class="input-group-prepend">
              <span class="input-group-text">{{"au" | translate}}</span>
            </div>
            <input type="text" class="form-control" placeholder="MM" (ngModelChange)="onDateFilterChange($event, 'month_to')" [(ngModel)]="month_to">
            <input type="text" class="form-control" placeholder="AAAA" (ngModelChange)="onDateFilterChange($event, 'year_to')" [(ngModel)]="year_to">
        </div>

        <div class="input-group mb-3 dateFilter" *ngIf="!dateFilterToggle">
          <ng5-slider [(value)]="value" [options]="options" (userChange)="dateSlideChange($event)"></ng5-slider>
        </div>

        <div class="input-group mb-3 dateFilterTimelapse" *ngIf="dateFilterToggle">
          <ng5-slider [(value)]="value" [(highValue)]="highValue" [options]="options" (userChange)="dateRangeChange($event)"></ng5-slider>
        </div>
    </div>
  </div>
</div>

<ng-template #fichepdg let-c="close" let-d="dismiss">
  <div class="modal-body" style="padding: 2.7rem;text-align: center;">
    <img *ngIf="csvPhrase.pdg_url &&  csvPhrase.pdg_url.includes('http')"  
    src="{{ csvPhrase.pdg_url }}" alt="{{ csvPhrase.nom_pdg }}" 
    class="img-fluid" style="border: 1px solid #EAEAEA">
  </div>
</ng-template>  


<ng-template #warningaccess let-c="close" let-d="dismiss">
  <div class="modal-header" style="display: none;">

  </div>
  <div class="modal-body" style="padding: 2.7rem;">
      <h4 class="modal-title">
        
      </h4>
      <p>Vous n'avez pas accès à cette application. Veuillez contacter l'administrateur.</p>
      <button class="btn btn-primary"  (click)="d('Cross click')" style="background-color: #1b4f9d;" [routerLink]="['/login']" >{{ "Se déconnecter" | translate }}</button>
  

  </div>
</ng-template>


<ng-template #content let-c="close" let-d="dismiss">
  <div class="modal-header" style="display: none;">

  </div>
  <div class="modal-body" style="padding: 2.7rem;">
      <h4 class="modal-title"><img style="opacity: 0.5" id="{{ enjeuInfo.id }}" src="{{ enjeuInfo.image_url }}" alt="{{ enjeuInfo.picto_png }}" class="img-fluid">  {{ lang(enjeuInfo.titre) | titlecase }}</h4>
      <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          <span aria-hidden="true" style="margin-top: -79px;float: right;">&times;</span>
      </button>
      <p>{{ lang(enjeuInfo.pre_def) }}</p>
      <p [innerHTML]="lang(enjeuInfo.def)"></p>

  </div>
</ng-template>


<div class="loading" *ngIf="loading">
  <ngx-loading  [show]="loading" [config]="{ backdropBorderRadius: '3px' }" [template]="customLoadingTemplate"></ngx-loading>
</div>